edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.c99

## Class C99.Region

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.c99.C99.Region

- Enclosing class:
    C99

      protected static class C99.Region
      extends java.lang.Object

  Text segment region.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `area`
    `protected int` | `end`
    `protected C99.Region` | `left`
    `protected C99.Region` | `right`
    `protected int` | `start`
    `(package private) double` | `sum`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `C99.Region(int start, int end, double[][] m)` Construct a new region with boundaries start and end.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bestBoundary_max(double[][] m, C99.Region r)` Find a boundary that maximizes the inside density.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### start

          protected int start

    - #### end

          protected int end

    - #### area

          protected int area

    - #### sum

          double sum

    - #### left

          protected C99.Region left

    - #### right

          protected C99.Region right

  - ### Constructor Detail

    - #### C99.Region

          public C99.Region(int start,
                    int end,
                    double[][] m)

      Construct a new region with boundaries start and end.
      Parameters:
        `start` - Starting point.
        `end` - Ending point.
        `m` - Similarity matrix.

  - ### Method Detail

    - #### bestBoundary_max

          public static void bestBoundary_max(double[][] m,
                              C99.Region r)

      Find a boundary that maximizes the inside density.
      Parameters:
        `m` - Similarity matrix.
        `r` - region.